Get workspace subscription details
curl --request GET \
--url https://api.instantly.ai/api/v2/workspace-billing/subscription-details \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/workspace-billing/subscription-details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/workspace-billing/subscription-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/workspace-billing/subscription-details")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/workspace-billing/subscription-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/workspace-billing/subscription-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"subscriptions": [
{
"workspace_id": "019f985c-93ee-7100-bbe5-e38e0bb0c44c",
"interval": "month",
"quantity": 1,
"product_id": "pid_g_v1",
"product_type": "prt_outreach",
"plan_type": "plt_primary",
"current_period_end": 1704067200,
"cancel_at_time": 1704067200,
"price_in_dollars": 97,
"price_id": "price_H5UMXtIFH7Rh9K"
}
],
"all_subs_cancelled": false
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Workspace Billing
Get workspace subscription details
Requires one of the following scopes: workspace_billing:read, workspace_billing:all, all:read, all:all
GET
/
api
/
v2
/
workspace-billing
/
subscription-details
Get workspace subscription details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I